<?php
/* Autor...: William L. Taype Perez */
/* Esquema.: ALM_RequerimientoDetalleLog.xml */
/* Generado: 2021-11-05 04:08:06 */

/* Busqueda de registros de la tabla ALM_RequerimientoDetalleLog. */
abstract class BaseALM_RequerimientoDetalleLogFN extends ALM_RequerimientoDetalleLogBN
{
    /* Declaracion de constantes */
    const IdRequerimientoLog = "ALM_RequerimientoDetalleLog.IdRequerimientoLog";
    const Tipo = "ALM_RequerimientoDetalleLog.Tipo";
    const IdRequerimiento = "ALM_RequerimientoDetalleLog.idRequerimiento";
    const IdRequerimientoDetalle = "ALM_RequerimientoDetalleLog.IdRequerimientoDetalle";
    const IdCompania = "ALM_RequerimientoDetalleLog.IdCompania";
    const IdSucursal = "ALM_RequerimientoDetalleLog.IdSucursal";
    const IdMoneda = "ALM_RequerimientoDetalleLog.IdMoneda";
    const IdPersona = "ALM_RequerimientoDetalleLog.IdPersona";
    const IdItem = "ALM_RequerimientoDetalleLog.IdItem";
    const Cantidad = "ALM_RequerimientoDetalleLog.Cantidad";
    const PrecioUnitario = "ALM_RequerimientoDetalleLog.PrecioUnitario";
    const PrecioUnitarioMN = "ALM_RequerimientoDetalleLog.PrecioUnitarioMN";
    const PrecioUnitarioME = "ALM_RequerimientoDetalleLog.PrecioUnitarioME";
    const PrecioUnitarioIGV = "ALM_RequerimientoDetalleLog.PrecioUnitarioIGV";
    const PrecioUnitarioIGVMN = "ALM_RequerimientoDetalleLog.PrecioUnitarioIGVMN";
    const PrecioUnitarioIGVME = "ALM_RequerimientoDetalleLog.PrecioUnitarioIGVME";
    const TipoCambio = "ALM_RequerimientoDetalleLog.TipoCambio";
    const FechaCreacion = "ALM_RequerimientoDetalleLog.FechaCreacion";
    const UsuarioCreacion = "ALM_RequerimientoDetalleLog.UsuarioCreacion";
    const FechaModificacion = "ALM_RequerimientoDetalleLog.FechaModificacion";
    const UsuarioModificacion = "ALM_RequerimientoDetalleLog.UsuarioModificacion";

    public $a_Condition = array();
    public $a_OrderBy = array();
    public $a_GroupBy = array();
    public $b_Debug = false;

    /* Obtiene una conexion a la base de datos */
    public function getConnect()
    {
        $o_DBConnect = Conexion::getConexion();
        return $o_DBConnect;
    }

    public function getDebug()
    {
        if( SF_DEBUG )
        {
            $this->b_Debug = true;
        }
        return $this->b_Debug;
    }

    public function setDebug( $v )
    {
        $this->b_Debug = $v;
    }

    /* Obtiene la cadena de columas */
    public function getSelectColumns()
    {
        $s_SQLQuery = "ALM_RequerimientoDetalleLog.IdRequerimientoLog AS IdRequerimientoLog, ";
        $s_SQLQuery .= "ALM_RequerimientoDetalleLog.Tipo AS Tipo, ";
        $s_SQLQuery .= "ALM_RequerimientoDetalleLog.idRequerimiento AS idRequerimiento, ";
        $s_SQLQuery .= "ALM_RequerimientoDetalleLog.IdRequerimientoDetalle AS IdRequerimientoDetalle, ";
        $s_SQLQuery .= "ALM_RequerimientoDetalleLog.IdCompania AS IdCompania, ";
        $s_SQLQuery .= "ALM_RequerimientoDetalleLog.IdSucursal AS IdSucursal, ";
        $s_SQLQuery .= "ALM_RequerimientoDetalleLog.IdMoneda AS IdMoneda, ";
        $s_SQLQuery .= "ALM_RequerimientoDetalleLog.IdPersona AS IdPersona, ";
        $s_SQLQuery .= "ALM_RequerimientoDetalleLog.IdItem AS IdItem, ";
        $s_SQLQuery .= "ALM_RequerimientoDetalleLog.Cantidad AS Cantidad, ";
        $s_SQLQuery .= "ALM_RequerimientoDetalleLog.PrecioUnitario AS PrecioUnitario, ";
        $s_SQLQuery .= "ALM_RequerimientoDetalleLog.PrecioUnitarioMN AS PrecioUnitarioMN, ";
        $s_SQLQuery .= "ALM_RequerimientoDetalleLog.PrecioUnitarioME AS PrecioUnitarioME, ";
        $s_SQLQuery .= "ALM_RequerimientoDetalleLog.PrecioUnitarioIGV AS PrecioUnitarioIGV, ";
        $s_SQLQuery .= "ALM_RequerimientoDetalleLog.PrecioUnitarioIGVMN AS PrecioUnitarioIGVMN, ";
        $s_SQLQuery .= "ALM_RequerimientoDetalleLog.PrecioUnitarioIGVME AS PrecioUnitarioIGVME, ";
        $s_SQLQuery .= "ALM_RequerimientoDetalleLog.TipoCambio AS TipoCambio, ";
        $s_SQLQuery .= "ALM_RequerimientoDetalleLog.FechaCreacion AS FechaCreacion, ";
        $s_SQLQuery .= "ALM_RequerimientoDetalleLog.UsuarioCreacion AS UsuarioCreacion, ";
        $s_SQLQuery .= "ALM_RequerimientoDetalleLog.FechaModificacion AS FechaModificacion, ";
        $s_SQLQuery .= "ALM_RequerimientoDetalleLog.UsuarioModificacion AS UsuarioModificacion ";
        return $s_SQLQuery;
    }

    /* Establece el condicion de filtro de la lista resultante */
    public function addCondition( $s_Const, $s_Operator, $u_Value, $b_ComSimple = true )
    {
        $this->a_Condition[] = array( "COLUMN" => $s_Const, "OPERATOR" => $s_Operator, "VALUE" => $u_Value, "FLAG_COMILLAS" => $b_ComSimple );
    }

    /* Establece el orden de la lista resultante */
    public function addOrderBy( $s_Const, $b_OrderAsc = true )
    {
        $this->a_OrderBy[] = array( "COLUMN" => $s_Const, "ASC" => $b_OrderAsc );
    }

    /* Establece el orden de la lista resultante */
    public function addGroupBy( $s_Const )
    {
        $this->a_GroupBy[] = array( "COLUMN" => $s_Const );
    }

    /* Establece los valores desde un objeto ALM_RequerimientoDetalleLogBN */
    public function setByBN( ALM_RequerimientoDetalleLogBN $o_ALM_RequerimientoDetalleLogBN )
    {
        if ( !is_null( $o_ALM_RequerimientoDetalleLogBN->getIdRequerimientoLog() ) )
        {
            $this->setIdRequerimientoLog( $o_ALM_RequerimientoDetalleLogBN->getIdRequerimientoLog() );
        }
        if ( !is_null( $o_ALM_RequerimientoDetalleLogBN->getTipo() ) )
        {
            $this->setTipo( $o_ALM_RequerimientoDetalleLogBN->getTipo() );
        }
        if ( !is_null( $o_ALM_RequerimientoDetalleLogBN->getIdRequerimiento() ) )
        {
            $this->setIdRequerimiento( $o_ALM_RequerimientoDetalleLogBN->getIdRequerimiento() );
        }
        if ( !is_null( $o_ALM_RequerimientoDetalleLogBN->getIdRequerimientoDetalle() ) )
        {
            $this->setIdRequerimientoDetalle( $o_ALM_RequerimientoDetalleLogBN->getIdRequerimientoDetalle() );
        }
        if ( !is_null( $o_ALM_RequerimientoDetalleLogBN->getIdCompania() ) )
        {
            $this->setIdCompania( $o_ALM_RequerimientoDetalleLogBN->getIdCompania() );
        }
        if ( !is_null( $o_ALM_RequerimientoDetalleLogBN->getIdSucursal() ) )
        {
            $this->setIdSucursal( $o_ALM_RequerimientoDetalleLogBN->getIdSucursal() );
        }
        if ( !is_null( $o_ALM_RequerimientoDetalleLogBN->getIdMoneda() ) )
        {
            $this->setIdMoneda( $o_ALM_RequerimientoDetalleLogBN->getIdMoneda() );
        }
        if ( !is_null( $o_ALM_RequerimientoDetalleLogBN->getIdPersona() ) )
        {
            $this->setIdPersona( $o_ALM_RequerimientoDetalleLogBN->getIdPersona() );
        }
        if ( !is_null( $o_ALM_RequerimientoDetalleLogBN->getIdItem() ) )
        {
            $this->setIdItem( $o_ALM_RequerimientoDetalleLogBN->getIdItem() );
        }
        if ( !is_null( $o_ALM_RequerimientoDetalleLogBN->getCantidad() ) )
        {
            $this->setCantidad( $o_ALM_RequerimientoDetalleLogBN->getCantidad() );
        }
        if ( !is_null( $o_ALM_RequerimientoDetalleLogBN->getPrecioUnitario() ) )
        {
            $this->setPrecioUnitario( $o_ALM_RequerimientoDetalleLogBN->getPrecioUnitario() );
        }
        if ( !is_null( $o_ALM_RequerimientoDetalleLogBN->getPrecioUnitarioMN() ) )
        {
            $this->setPrecioUnitarioMN( $o_ALM_RequerimientoDetalleLogBN->getPrecioUnitarioMN() );
        }
        if ( !is_null( $o_ALM_RequerimientoDetalleLogBN->getPrecioUnitarioME() ) )
        {
            $this->setPrecioUnitarioME( $o_ALM_RequerimientoDetalleLogBN->getPrecioUnitarioME() );
        }
        if ( !is_null( $o_ALM_RequerimientoDetalleLogBN->getPrecioUnitarioIGV() ) )
        {
            $this->setPrecioUnitarioIGV( $o_ALM_RequerimientoDetalleLogBN->getPrecioUnitarioIGV() );
        }
        if ( !is_null( $o_ALM_RequerimientoDetalleLogBN->getPrecioUnitarioIGVMN() ) )
        {
            $this->setPrecioUnitarioIGVMN( $o_ALM_RequerimientoDetalleLogBN->getPrecioUnitarioIGVMN() );
        }
        if ( !is_null( $o_ALM_RequerimientoDetalleLogBN->getPrecioUnitarioIGVME() ) )
        {
            $this->setPrecioUnitarioIGVME( $o_ALM_RequerimientoDetalleLogBN->getPrecioUnitarioIGVME() );
        }
        if ( !is_null( $o_ALM_RequerimientoDetalleLogBN->getTipoCambio() ) )
        {
            $this->setTipoCambio( $o_ALM_RequerimientoDetalleLogBN->getTipoCambio() );
        }
        if ( !is_null( $o_ALM_RequerimientoDetalleLogBN->getFechaCreacion() ) )
        {
            $this->setFechaCreacion( $o_ALM_RequerimientoDetalleLogBN->getFechaCreacion() );
        }
        if ( !is_null( $o_ALM_RequerimientoDetalleLogBN->getUsuarioCreacion() ) )
        {
            $this->setUsuarioCreacion( $o_ALM_RequerimientoDetalleLogBN->getUsuarioCreacion() );
        }
        if ( !is_null( $o_ALM_RequerimientoDetalleLogBN->getFechaModificacion() ) )
        {
            $this->setFechaModificacion( $o_ALM_RequerimientoDetalleLogBN->getFechaModificacion() );
        }
        if ( !is_null( $o_ALM_RequerimientoDetalleLogBN->getUsuarioModificacion() ) )
        {
            $this->setUsuarioModificacion( $o_ALM_RequerimientoDetalleLogBN->getUsuarioModificacion() );
        }
    }

    /**
    * @return ALM_RequerimientoDetalleLogBN|null
    * @throws SQLException
    */
    public function selectByPK( $i_IdRequerimientoLog )
    {
        if( is_null( $i_IdRequerimientoLog ) ){ $i_IdRequerimientoLog = -1; } 
 
        $s_SQLQuery = "SELECT ";
        $s_SQLQuery .= $this->getSelectColumns();
        $s_SQLQuery .= "FROM ALM_RequerimientoDetalleLog ";
        $s_SQLQuery .= "WHERE IdRequerimientoLog = ".$i_IdRequerimientoLog." ";
        $s_SQLQuery .= "LIMIT 1;";
        if( $this->getDebug() ){ pr( $s_SQLQuery ); }
        $o_ALM_RequerimientoDetalleLogBN = null;
        $o_Resource = $this->getConnect();
        $o_Statement = $o_Resource->prepareStatement( $s_SQLQuery );
        $o_ResultSet = $o_Statement->executeQuery();
        $i_NumRows   = $o_ResultSet->getRecordCount();
        if( $i_NumRows > 0 )
        {
            $o_ResultSet->next();
            $a_SQLRow = $o_ResultSet->getRow(); //devuele array
            $o_ALM_RequerimientoDetalleLogBN = $this->insertObjectBN( $a_SQLRow );
        }
        return $o_ALM_RequerimientoDetalleLogBN;
    }

    public function buildConsult()
    {
        $s_SQLQuery = "";
        if ( !is_null( $this->getIdRequerimientoLog() ) ) $s_SQLQuery .= "ALM_RequerimientoDetalleLog.IdRequerimientoLog = ".$this->getIdRequerimientoLog()." AND ";
        if ( !is_null( $this->getTipo() ) ) $s_SQLQuery .= "ALM_RequerimientoDetalleLog.Tipo = '".$this->getTipo()."' AND ";
        if ( !is_null( $this->getIdRequerimiento() ) ) $s_SQLQuery .= "ALM_RequerimientoDetalleLog.idRequerimiento = ".$this->getIdRequerimiento()." AND ";
        if ( !is_null( $this->getIdRequerimientoDetalle() ) ) $s_SQLQuery .= "ALM_RequerimientoDetalleLog.IdRequerimientoDetalle = ".$this->getIdRequerimientoDetalle()." AND ";
        if ( !is_null( $this->getIdCompania() ) ) $s_SQLQuery .= "ALM_RequerimientoDetalleLog.IdCompania = ".$this->getIdCompania()." AND ";
        if ( !is_null( $this->getIdSucursal() ) ) $s_SQLQuery .= "ALM_RequerimientoDetalleLog.IdSucursal = ".$this->getIdSucursal()." AND ";
        if ( !is_null( $this->getIdMoneda() ) ) $s_SQLQuery .= "ALM_RequerimientoDetalleLog.IdMoneda = '".$this->getIdMoneda()."' AND ";
        if ( !is_null( $this->getIdPersona() ) ) $s_SQLQuery .= "ALM_RequerimientoDetalleLog.IdPersona = ".$this->getIdPersona()." AND ";
        if ( !is_null( $this->getIdItem() ) ) $s_SQLQuery .= "ALM_RequerimientoDetalleLog.IdItem = '".$this->getIdItem()."' AND ";
        if ( !is_null( $this->getCantidad() ) ) $s_SQLQuery .= "ALM_RequerimientoDetalleLog.Cantidad = ".$this->getCantidad()." AND ";
        if ( !is_null( $this->getPrecioUnitario() ) ) $s_SQLQuery .= "ALM_RequerimientoDetalleLog.PrecioUnitario = ".$this->getPrecioUnitario()." AND ";
        if ( !is_null( $this->getPrecioUnitarioMN() ) ) $s_SQLQuery .= "ALM_RequerimientoDetalleLog.PrecioUnitarioMN = ".$this->getPrecioUnitarioMN()." AND ";
        if ( !is_null( $this->getPrecioUnitarioME() ) ) $s_SQLQuery .= "ALM_RequerimientoDetalleLog.PrecioUnitarioME = ".$this->getPrecioUnitarioME()." AND ";
        if ( !is_null( $this->getPrecioUnitarioIGV() ) ) $s_SQLQuery .= "ALM_RequerimientoDetalleLog.PrecioUnitarioIGV = ".$this->getPrecioUnitarioIGV()." AND ";
        if ( !is_null( $this->getPrecioUnitarioIGVMN() ) ) $s_SQLQuery .= "ALM_RequerimientoDetalleLog.PrecioUnitarioIGVMN = ".$this->getPrecioUnitarioIGVMN()." AND ";
        if ( !is_null( $this->getPrecioUnitarioIGVME() ) ) $s_SQLQuery .= "ALM_RequerimientoDetalleLog.PrecioUnitarioIGVME = ".$this->getPrecioUnitarioIGVME()." AND ";
        if ( !is_null( $this->getTipoCambio() ) ) $s_SQLQuery .= "ALM_RequerimientoDetalleLog.TipoCambio = ".$this->getTipoCambio()." AND ";
        if ( !is_null( $this->getFechaCreacion() ) ) $s_SQLQuery .= "ALM_RequerimientoDetalleLog.FechaCreacion = '".$this->getFechaCreacion()."' AND ";
        if ( !is_null( $this->getUsuarioCreacion() ) ) $s_SQLQuery .= "ALM_RequerimientoDetalleLog.UsuarioCreacion = '".$this->getUsuarioCreacion()."' AND ";
        if ( !is_null( $this->getFechaModificacion() ) ) $s_SQLQuery .= "ALM_RequerimientoDetalleLog.FechaModificacion = '".$this->getFechaModificacion()."' AND ";
        if ( !is_null( $this->getUsuarioModificacion() ) ) $s_SQLQuery .= "ALM_RequerimientoDetalleLog.UsuarioModificacion = '".$this->getUsuarioModificacion()."' AND ";
        if ( count( $this->a_Condition ) > 0 )
        {
            foreach ( $this->a_Condition as $a_Condition )
            {
                if( $a_Condition['FLAG_COMILLAS'] )
                {
                    $s_SQLQuery .= $a_Condition[ "COLUMN" ]." ".$a_Condition[ "OPERATOR" ]." '".$a_Condition[ "VALUE" ]."' AND ";
                }
                else
                {
                    $s_SQLQuery .= $a_Condition[ "COLUMN" ]." ".$a_Condition[ "OPERATOR" ]." ".$a_Condition[ "VALUE" ]." AND ";
                }
            }
        }
        $s_SQLQuery .= "1 = 1 ";
        return $s_SQLQuery;
    }

    public function selectNumRows()
    {
        $s_SQLQuery = "SELECT ";
        $s_SQLQuery .= "COUNT(*) AS cnt ";
        $s_SQLQuery .= "FROM ALM_RequerimientoDetalleLog WHERE ";
        $s_SQLQuery .= $this->buildConsult();
        
        if ( count( $this->a_GroupBy ) > 0 )
        {
            $s_SQLQuery .= "GROUP BY ";
            $s_Separator = "";
            foreach ( $this->a_GroupBy as $a_GroupBy )
            {
                $s_SQLQuery .= $s_Separator.$a_GroupBy[ "COLUMN" ]." ";
                $s_Separator = ", ";
            }
        }
        if( $this->getDebug() ){ pr( $s_SQLQuery ); }
        $o_Resource = $this->getConnect();
        $o_Statement = $o_Resource->prepareStatement( $s_SQLQuery );
        $o_ResultSet = $o_Statement->executeQuery();
        $o_ResultSet->next();
        $i_NumRows    = $o_ResultSet->getInt( 'cnt' );
        return $i_NumRows;
    }

    /**
    * @param null $i_Position
    * @param null $i_Rows
    * @return ALM_RequerimientoDetalleLogBN[]
    * @throws SQLException
    */
    public function select( $i_Position = null, $i_Rows = null )
    {
        $s_SQLQuery = "SELECT ";
        $s_SQLQuery .= $this->getSelectColumns();
        $s_SQLQuery .= "FROM ALM_RequerimientoDetalleLog WHERE ";
        $s_SQLQuery .= $this->buildConsult();
        if ( count( $this->a_GroupBy ) > 0 )
        {
            $s_SQLQuery .= "GROUP BY ";
            $s_Separator = "";
            foreach ( $this->a_GroupBy as $a_GroupBy )
            {
                $s_SQLQuery .= $s_Separator.$a_GroupBy[ "COLUMN" ]." ";
                $s_Separator = ", ";
            }
        }
        if ( count( $this->a_OrderBy ) > 0 )
        {
            $s_SQLQuery = $s_SQLQuery."ORDER BY ";
            $s_Separator = "";
            foreach ( $this->a_OrderBy as $a_OrderBy )
            {
                $s_SQLQuery .= $s_Separator.$a_OrderBy[ "COLUMN" ]." ";
                if ( $a_OrderBy[ "ASC" ] === false ) $s_SQLQuery .= "DESC ";
                $s_Separator = ", ";
            }
        }
        if( !is_null( $i_Position ) && is_null( $i_Rows ) ) $s_SQLQuery .= "LIMIT ".$i_Position;
        if( !is_null( $i_Position ) && !is_null( $i_Rows ) ) $s_SQLQuery .= "LIMIT ".$i_Position.", ".$i_Rows;
        $s_SQLQuery .= ";";

        if( $this->getDebug() ){ pr( $s_SQLQuery ); }

        $a_ALM_RequerimientoDetalleLogBN = array();
        $o_Resource = $this->getConnect();
        $o_Statement = $o_Resource->prepareStatement( $s_SQLQuery );
        $o_ResultSet = $o_Statement->executeQuery();
        $i_NumRows = $o_ResultSet->getRecordCount();
        if( $i_NumRows > 0 )
        {
            while( $o_ResultSet->next() ) 
            {
                $a_SQLRow = $o_ResultSet->getRow(); //devuele array
                $o_ALM_RequerimientoDetalleLogBN = $this->insertObjectBN( $a_SQLRow );
                $a_ALM_RequerimientoDetalleLogBN[] = $o_ALM_RequerimientoDetalleLogBN;
            }
        }
        return $a_ALM_RequerimientoDetalleLogBN;
    }

    /* Devuelve un objeto ALM_RequerimientoDetalleLogBN desde un objeto propel */
    public function insertObjectBN( $a_ALM_RequerimientoDetalleLog )
    {
        $o_ALM_RequerimientoDetalleLogBN = new ALM_RequerimientoDetalleLogBN();
        if ( !is_null( $a_ALM_RequerimientoDetalleLog['IdRequerimientoLog'] ) ) $o_ALM_RequerimientoDetalleLogBN->setIdRequerimientoLog( ( integer ) $a_ALM_RequerimientoDetalleLog['IdRequerimientoLog'] );
        if ( !is_null( $a_ALM_RequerimientoDetalleLog['Tipo'] ) ) $o_ALM_RequerimientoDetalleLogBN->setTipo( $a_ALM_RequerimientoDetalleLog['Tipo'] );
        if ( !is_null( $a_ALM_RequerimientoDetalleLog['idRequerimiento'] ) ) $o_ALM_RequerimientoDetalleLogBN->setIdRequerimiento( ( integer ) $a_ALM_RequerimientoDetalleLog['idRequerimiento'] );
        if ( !is_null( $a_ALM_RequerimientoDetalleLog['IdRequerimientoDetalle'] ) ) $o_ALM_RequerimientoDetalleLogBN->setIdRequerimientoDetalle( ( integer ) $a_ALM_RequerimientoDetalleLog['IdRequerimientoDetalle'] );
        if ( !is_null( $a_ALM_RequerimientoDetalleLog['IdCompania'] ) ) $o_ALM_RequerimientoDetalleLogBN->setIdCompania( ( integer ) $a_ALM_RequerimientoDetalleLog['IdCompania'] );
        if ( !is_null( $a_ALM_RequerimientoDetalleLog['IdSucursal'] ) ) $o_ALM_RequerimientoDetalleLogBN->setIdSucursal( ( integer ) $a_ALM_RequerimientoDetalleLog['IdSucursal'] );
        if ( !is_null( $a_ALM_RequerimientoDetalleLog['IdMoneda'] ) ) $o_ALM_RequerimientoDetalleLogBN->setIdMoneda( $a_ALM_RequerimientoDetalleLog['IdMoneda'] );
        if ( !is_null( $a_ALM_RequerimientoDetalleLog['IdPersona'] ) ) $o_ALM_RequerimientoDetalleLogBN->setIdPersona( ( integer ) $a_ALM_RequerimientoDetalleLog['IdPersona'] );
        if ( !is_null( $a_ALM_RequerimientoDetalleLog['IdItem'] ) ) $o_ALM_RequerimientoDetalleLogBN->setIdItem( $a_ALM_RequerimientoDetalleLog['IdItem'] );
        if ( !is_null( $a_ALM_RequerimientoDetalleLog['Cantidad'] ) ) $o_ALM_RequerimientoDetalleLogBN->setCantidad( ( float ) $a_ALM_RequerimientoDetalleLog['Cantidad'] );
        if ( !is_null( $a_ALM_RequerimientoDetalleLog['PrecioUnitario'] ) ) $o_ALM_RequerimientoDetalleLogBN->setPrecioUnitario( ( float ) $a_ALM_RequerimientoDetalleLog['PrecioUnitario'] );
        if ( !is_null( $a_ALM_RequerimientoDetalleLog['PrecioUnitarioMN'] ) ) $o_ALM_RequerimientoDetalleLogBN->setPrecioUnitarioMN( ( float ) $a_ALM_RequerimientoDetalleLog['PrecioUnitarioMN'] );
        if ( !is_null( $a_ALM_RequerimientoDetalleLog['PrecioUnitarioME'] ) ) $o_ALM_RequerimientoDetalleLogBN->setPrecioUnitarioME( ( float ) $a_ALM_RequerimientoDetalleLog['PrecioUnitarioME'] );
        if ( !is_null( $a_ALM_RequerimientoDetalleLog['PrecioUnitarioIGV'] ) ) $o_ALM_RequerimientoDetalleLogBN->setPrecioUnitarioIGV( ( float ) $a_ALM_RequerimientoDetalleLog['PrecioUnitarioIGV'] );
        if ( !is_null( $a_ALM_RequerimientoDetalleLog['PrecioUnitarioIGVMN'] ) ) $o_ALM_RequerimientoDetalleLogBN->setPrecioUnitarioIGVMN( ( float ) $a_ALM_RequerimientoDetalleLog['PrecioUnitarioIGVMN'] );
        if ( !is_null( $a_ALM_RequerimientoDetalleLog['PrecioUnitarioIGVME'] ) ) $o_ALM_RequerimientoDetalleLogBN->setPrecioUnitarioIGVME( ( float ) $a_ALM_RequerimientoDetalleLog['PrecioUnitarioIGVME'] );
        if ( !is_null( $a_ALM_RequerimientoDetalleLog['TipoCambio'] ) ) $o_ALM_RequerimientoDetalleLogBN->setTipoCambio( ( float ) $a_ALM_RequerimientoDetalleLog['TipoCambio'] );
        if ( !is_null( $a_ALM_RequerimientoDetalleLog['FechaCreacion'] ) ) $o_ALM_RequerimientoDetalleLogBN->setFechaCreacion( utilTimestamp::getTimestamp( $a_ALM_RequerimientoDetalleLog['FechaCreacion'], "Y-m-d H:i:s" ) );
        if ( !is_null( $a_ALM_RequerimientoDetalleLog['UsuarioCreacion'] ) ) $o_ALM_RequerimientoDetalleLogBN->setUsuarioCreacion( $a_ALM_RequerimientoDetalleLog['UsuarioCreacion'] );
        if ( !is_null( $a_ALM_RequerimientoDetalleLog['FechaModificacion'] ) ) $o_ALM_RequerimientoDetalleLogBN->setFechaModificacion( utilTimestamp::getTimestamp( $a_ALM_RequerimientoDetalleLog['FechaModificacion'], "Y-m-d H:i:s" ) );
        if ( !is_null( $a_ALM_RequerimientoDetalleLog['UsuarioModificacion'] ) ) $o_ALM_RequerimientoDetalleLogBN->setUsuarioModificacion( $a_ALM_RequerimientoDetalleLog['UsuarioModificacion'] );
        return $o_ALM_RequerimientoDetalleLogBN;
    }
}
?>